package de.intevation.flys.client.shared.model;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultTheme implements Theme {

    protected int position;

    protected boolean active;

    protected String artifact;

    protected String facet;


    public DefaultTheme() {
    }


    public DefaultTheme(int pos, boolean active, String art, String facet) {
        this.position = pos;
        this.active   = active;
        this.artifact = art;
        this.facet    = facet;
    }


    public int getPosition() {
        return position;
    }


    public void setPosition(int pos) {
        this.position = pos;
    }


    public boolean isActive() {
        return active;
    }


    public String getArtifact() {
        return artifact;
    }


    public String getFacet() {
        return facet;
    }


    public boolean equals(Object o) {
        if (!(o instanceof DefaultTheme)) {
            return false;
        }

        DefaultTheme other = (DefaultTheme) o;

        if (other.position != position) {
            return false;
        }

        if (!other.artifact.equals(artifact)) {
            return false;
        }

        if (other.active != active) {
            return false;
        }

        if (!other.facet.equals(facet)) {
            return false;
        }

        return true;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
